1 Reply Latest reply on Aug 18, 2008 11:30 AM by Oliver Goldman

    Update error when autoupdating version

    Matt Gifford Level 1
      Hi guys

      We have an AIR app that we update and normally automatically installs.
      I've been testing the update recently on my localhost server before committing the release to the live server.
      On the latest update, I've been getting the following error within the log:

      Starting update of c:\program files\bt_exchanges_presentation\bt_exchanges_presentation.exe
      Updating from file:///C:/Documents%20and%20Settings/mgifford/Application%20Data/com.bt.BTExchanges.9F70 DD6B6DEEBA74E0DACE1EA8317974585D92B2.1/Local%20Store/Update.air
      Updating to version v26

      UI SWF load is complete
      UI initialized
      Unpackaging to C:\Documents and Settings\mgifford\Local Settings\Temp\fla132.tmp
      unpackaging is complete
      application is bound to side-by-side version 1.0
      application is bound to this version of the runtime
      app id com.bt.BTExchanges
      pub id 9F70DD6B6DEEBA74E0DACE1EA8317974585D92B2.1
      AIR file app id, pub id, and version don't match
      installed app id com.bt.BTExchanges
      installed pub id 9F70DD6B6DEEBA74E0DACE1EA8317974585D92B2.1
      Requested version: v26
      ; AIR file version: v26
      Re-launching application from c:\program files\bt_exchanges_presentation\bt_exchanges_presentation.exe
      starting cleanup of temporary files
      application installer exiting


      I cannot see the problem. The app ID and publisher ID are the same (unless my eyes are failing me)

      Does anyone have any ideas?

      Many thanks,

      Matt